#!/bin/bash
#
#------------------ Set Some Variables

soft='patch-inetd-security'
version='7.2'
arch="noarch"
cpu="i686"
packageversion="72.1"

buildir=$(pwd)
srcpkg="$buildir/$soft-$version.tar.gz"
package="$soft-$version-$arch-$packageversion"
PKG="/tmp/$package"

cd $buildir
rm -f $PKG.tgz
rm -rf $PKG
mkdir -p $PKG

mkdir -p $PKG/install
cat << EODESC > $PKG/install/slack-desc
     |-----handy-ruler--------------------------------------------------------|
$soft: $soft close some inetd services - no reboot needed
$soft:
$soft: This package is a "system patch". A patch is intended to add,  
$soft: repair or remove files and/or parameters on the system. 
$soft: 
$soft: Applies only on : Zenwalk $version
$soft: Category : security fix
$soft: Reboot after install : NO
$soft: Rollback : NO
$soft: 
EODESC


cat << "EODESC" > $PKG/install/doinst.sh
if [ -e etc/rc.d/rc.inetd ]; then
   etc/rc.d/rc.inetd stop
   chmod 644 etc/rc.d/rc.inetd
  sed -i 's/^\([ \t]*time[ \t]*.*\)/\# \1/' etc/inetd.conf
  sed -i 's/^\([ \t]*comsat[ \t]*.*\)/\# \1/' etc/inetd.conf
  sed -i 's/^\([ \t]*auth[ \t]*.*\)/\# \1/' etc/inetd.conf
fi
EODESC


install -D -m 644 -o root -g root $buildir/build-$soft.sh $PKG/usr/src/$soft-$version/build-$soft.sh

# Packaging

cd $PKG
makepkg -l y -c n $PKG.txz


cd $buildir
# rm -rf $PKG
cat $PKG/install/slack-desc
